System lists

​

Get system lists

Query Parameters

  • Comma delimited list of security types.

  • Comma delimited list of regions and/or countries to filter on using 2 letter region codes or 3 letter ISO country codes.

  • Tier 1 category that will be used to filter the results.

  • Tier 2 category that will be used to filter the results.

Headers

  • The unique identifier of the request. It is used for identifying the request when using updates. It is recommended that this be set to a globally unique identifier (GUID).

Responses

  • application/json
Request Example for get/system-lists/lists/v1
curl 'https://test-market-data-api.openmarkets.com.au/system-lists/lists/v1?securityTypes=Equities%2CFutures&regionCountryCodes=AUS&categoryTier1=Market%20Cap&categoryTier2=All' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "name": "ACCINDEX",
    "description": "ASX ACCUMULATION INDICES",
    "securityType": "Equities",
    "countryCode": "AUS",
    "regionCode": "AP",
    "categoryTier1": "Market Specific",
    "categoryTier2": "All"
  },
  {
    "name": "ASX200",
    "description": "S&P/ASX 200 INDEX",
    "securityType": "Equities",
    "countryCode": "AUS",
    "regionCode": "AP",
    "categoryTier1": "Market Specific",
    "categoryTier2": "Indices"
  }
]